Bug 865014 - m17n-lib 1.6.4 fixes Emacs crash
m17n-lib 1.6.4 fixes Emacs crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m17n-lib (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 11:47 EDT by Florian Weimer
Modified: 2012-11-09 00:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 00:01:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
m17n.xml (306 bytes, text/plain)
2012-10-10 11:47 EDT, Florian Weimer
no flags Details

  None (edit)
Description Florian Weimer 2012-10-10 11:47:37 EDT
Created attachment 624977 [details]
m17n.xml

Opening the attached file with Emacs under X11 causes Emacs to crash.  If I upgrade m17n-lib-1.6.3-2.fc17.x86_64 to a rebuilt version from Fedora 18 (m17n-lib-1.6.4-1.fc17.x86_64), the crash disappears.  The upstream CVS contains a change which appears related:

http://cvs.savannah.gnu.org/viewvc/m17n-lib/src/m17n-flt.c?root=m17n&r1=1.51&r2=1.52
Comment 1 Fedora Update System 2012-10-11 03:02:15 EDT
m17n-contrib-1.1.14-1.fc17,m17n-lib-1.6.4-1.fc17,m17n-db-1.6.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/m17n-contrib-1.1.14-1.fc17,m17n-lib-1.6.4-1.fc17,m17n-db-1.6.4-1.fc17
Comment 2 Fedora Update System 2012-10-11 22:50:50 EDT
Package m17n-contrib-1.1.14-1.fc17, m17n-lib-1.6.4-1.fc17, m17n-db-1.6.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing m17n-contrib-1.1.14-1.fc17 m17n-lib-1.6.4-1.fc17 m17n-db-1.6.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15944/m17n-contrib-1.1.14-1.fc17,m17n-lib-1.6.4-1.fc17,m17n-db-1.6.4-1.fc17
then log in and leave karma (feedback).
Comment 3 Parag Nemade 2012-11-09 00:01:41 EST
This is already pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.